<template>
	<f7-app :params="f7params" >
		<!-- Status bar overlay for fullscreen mode-->
		<f7-statusbar></f7-statusbar>

		<!-- Views/Tabs container -->
		<f7-views tabs class="safe-areas">
			<!-- Tabbar for switching views-tabs -->
			<f7-toolbar tabbar labels bottom>
				<f7-link text="Home" tab-link="#view-home" icon-size="24" tab-link-active icon-ios="material:home" icon-aurora="material:home" icon-md="material:home"></f7-link>

				<f7-link text="Scan Code" tab-link="#view-scan" icon-size="24" icon-ios="material:center_focus_strong" icon-aurora="material:center_focus_strong" icon-md="material:center_focus_strong"></f7-link>

				<f7-link tab-link="#view-account" v-if="user">
					<div :data-initial-small="initial(user.fullname)"></div>
					<span class="tabbar-label">Account</span>
				</f7-link>
			</f7-toolbar>

			<!-- Your main view/tab, should have "view-main" class. It also has "tab-active" class -->
			<f7-view id="view-home" main tab tab-active url="/" class="main-menu"></f7-view>

			<!-- Document View -->
			<f7-view id="view-scan" name="scan" tab url="/scan/" class="main-menu"></f7-view>

			<!-- Account View -->
			<f7-view id="view-account" name="account" tab url="/account/" class="main-menu"></f7-view>
  		</f7-views>
	</f7-app>	
</template>
<script>
import { mapGetters } from 'vuex';
import cordovaApp from '../js/cordova-app.js';
import routes from '../js/routes.js';
import store from '../js/store/index.js';
import { initial } from '../js/utils';

export default {
	data() {
	  return {
		// Framework7 Parameters
		f7params: {
		  id: 'id.co.pusri.doctrin', // App bundle ID
		  name: 'Doctrin', // App name
		  theme: 'ios', // Automatic theme detection
		  // App root data
		  data: function () {
			return {}
		  },

		  // App routes
		  routes: routes,

		  // Input settings
		  input: {
			scrollIntoViewOnFocus: this.$device.cordova && !this.$device.electron,
			scrollIntoViewCentered: this.$device.cordova && !this.$device.electron,
		  },
		  // Cordova Statusbar settings
		  statusbar: {
			overlay: this.$device.cordova && this.$device.ios || 'auto',
			iosOverlaysWebView: true,
			androidOverlaysWebView: false,
		  },
		},
	  }
	},
	computed: {
		...mapGetters('auth', ['user'])
	},
	methods: {
		initial
	},
	mounted() {
	  	this.$f7ready((f7) => {

			const self = this;

			// Init cordova APIs (see cordova-app.js)
			if (f7.device.cordova) {
				cordovaApp.init(f7);
			}
			// Call F7 APIs here
			self.$$('.main-menu').on('tab:show', function(e){

				let id = self.$$(this).attr('id');
				
				if(id == 'view-home'){
					if(self.$$(this).children().length == 1){
						f7.views.main.router.navigate('/');
					}						
				}else if(id == 'view-scan'){
					if(self.$$(this).children().length == 1){
						f7.views.scan.router.navigate('/scan/');
					}												
				}else if(id == 'view-account'){
					if(self.$$(this).children().length == 1){
						f7.views.account.router.navigate('/account/');
					}						
				}					
			});
	  	});
	}
  }
</script>